Manual installation of get_iplayer masking PPA version on Ubuntu 16.04
#1
I have a similar problem: tv.cache not updating on Ubuntu 16.04 Xenial.  However, it doesn't seem to be identical.  There's also a strange reference to v3.00 in the dbug output when I'm using Jon Davies 3.06 ppa.  I have null options file.

Here are a few extracts from the debug:

get_iplayer Output:

DEBUG: Parsing options from /etc/get_iplayer/options:
get_iplayer v3.00, Copyright (C) 2008-2010 Phil Lewis
---
---
DEBUG: Using desktop user-agent string: 'Mozilla/5.0 (X11; Ubuntu; Linux x86_64$
.
DEBUG: Downloading schedule page (1): http://www.bbc.co.uk/bbcalba/programmes/s$
.
DEBUG: Downloading schedule page (1): http://www.bbc.co.uk/bbcfour/programmes/s$
.
DEBUG: Downloading schedule page (1): http://www.bbc.co.uk/bbcnews/programmes/s$
.
DEBUG: Downloading schedule page (1): http://www.bbc.co.uk/bbcone/programmes/sc$
.
---
---
DEBUG: Downloading schedule page (1): http://www.bbc.co.uk/bbcone/programmes/sc$

INFO: Got 152 programmes for
.
DEBUG: Downloading schedule page (1): http://www.bbc.co.uk/bbcone/programmes/sc$

INFO: Got 182 programmes for
.
DEBUG: Downloading schedule page (1): http://www.bbc.co.uk/bbcone/programmes/sc$

INFO: Got 74 programmes for
---
---
DEBUG: Search expires_before =
DEBUG: Using desktop user-agent string: 'Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:53.0) Gecko/20100101 Firefox/53.0'
DEBUG: Using NoCookies user-agent 'Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:53.0) Gecko/20100101 Firefox/53.0'

INFO: 0 Matching Programmes
INFO: Loaded history for first check.
INFO: Loading recordings history
#2
Quote:here's also a strange reference to v3.00 in the dbug output when I'm using Jon Davies 3.06 ppa
Not that strange - you're running v3.00, which is no doubt masking get_iplayer from the PPA. Remove it and upgrade to 3.06 if you haven't actually done so.
#3
Thanks for the rapid response.

That was one of my earlier thoughts, so I uninstalled and purged what was there (which synaptic said was 3.06) reinstalled to no avail.  Any other suggestions would be much appreciated.  BTW, it is exactly the same on two Ubuntu 16.04 systems.

get_iplayer Output:

$ dpkg -s get-iplayer
Package: get-iplayer
Status: install ok installed
Priority: optional
Section: video
Installed-Size: 494
Maintainer: Jon Davies <jon@hedgerows.org.uk>
Architecture: all
Version: 3.06-ppa31a~xenial
Depends: libwww-perl, perl, libxml-simple-perl, libxml-libxml-perl, libmojolicious-perl, libcgi-pm-perl, atomicparsley (>= 0.9.4), ffmpeg
Conffiles:
/etc/default/get_iplayer_web_pvr b9584e27941cbccadf3b3ac506479fb4
/etc/get_iplayer/options ac65b4c08cc405a9dc9b641c45658d69
Description: get_iplayer: BBC iPlayer Indexing Tool and PVR

EDIT: dpkg spew removed
#4
You'll have to find the rogue get_iplayer script and remove it yourself. You can tell from the version string that it didn't come from the PPA, so Synaptic won't help.
#5
That was it:

/usr/bin/get_iplayer is the 3.06, but I found 3.00 in /usr/local/bin/get_iplayer.

Deleted that and ~/get_iplayer/tv.cache, --purge then --refresh and something seems to be happening again.

Thanks again.

PS: I wonder why it moved, but then I never have worked out what all these different /bin/s are about.


Possibly Related Threads...
Thread Author Replies Views Last Post
  How do I remove v3.00 manual install after upgrading from PPA on Linux Mint? karantula 2 1,846 17-07-2018, 01:58 PM
Last Post: jonhedgerows
  Help with installing get_iplayer in Ubuntu using PPA wilf 1 2,218 09-06-2018, 01:43 AM
Last Post: wilf
  Ubuntu 16.0.4 Installation problems kevmic 6 5,495 18-01-2017, 09:09 AM
Last Post: jonhedgerows